<template>
  <div class="container">
    <SurveyDetail
      v-if="!loading"
      :survey-code="surveyCode"
      :survey-data="surveyData"
    />
    <h2 v-else>Loading...</h2>
  </div>
</template>

<script>
import axios from "axios";
import SurveyDetail from "@/components/SurveyDetail";

export default {
  name: "SurveyDetailPage",
  components: { SurveyDetail },
  data() {
    return {
      loading: false,
      surveyCode: "",
      surveyData: [],
    };
  },
  mounted() {
    const code = this.$route.params.id;
    this.surveyCode = code;

    this.getSurveyDetail();
  },
  methods: {
    async getSurveyDetail() {
      this.loading = true;
      try {
        await new Promise((resolve) => setTimeout(resolve, 1000)); // Fake loading API
        const response = await axios.get(
          `http://localhost:8080/api/${this.surveyCode}.json`
        );
        this.surveyData = response.data;
      } catch (error) {
        console.log(error);
      }
      this.loading = false;
    },
  },
};
</script>

<style lang="scss"></style>
